Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.notification
Interface MmNotificationPortRetriever

Deprecated. Deprecated for mGw version 2.

public interface MmNotificationPortRetriever

Implementation of this interface should provide `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` instance, required for setting up message income from gateway, and has to be registered as mm-notification-port-retriever-class context parameter inside web.xml. Method `getMmNotificationPort(ServletContext)` is called only once, on demand.
This interface practicaly serves as a bridge between Axis and specific framework. An example for popular Spring Framework (www.springframework.org) would probably look something like:

     public class SpringMmNotificationRetriever implements MmNotificationPortRetriever {
       public MmNotificationPort getMmNotificationPort(ServletContext servletContext) throws Exception {
         ApplicationContext appContext = WebApplicationContextUtils.getRequiredWebApplicationContext(servletContext);
         // fetch MmNotificationPort bean from ApplicationContext
         return (MmNotificationPort) appContext.getBean("notificationPort", MmNotificationPort.class);
       }
     }

Method Summary
`org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` | `getMmNotificationPort(javax.servlet.ServletContext servletContext)` Deprecated. Provides `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` instance to message notification port.

Method Detail

### getMmNotificationPort

    public org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort getMmNotificationPort(javax.servlet.ServletContext servletContext)
                                                                                             throws java.lang.Exception

  Deprecated.
  Provides `org.csapi.www.wsdl.parlayx.mm.v1_0.notification.MmNotificationPort` instance to message notification port. It is called only once, on demand.

  Parameters:
    `servletContext` - ServletContext of the running web application
  Returns:
    MmNotificationPort instance
  Throws:
    `java.lang.Exception` - thrown if error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.